=== debian/changelog ===
skewer (0.2.2-6) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with gcc-11 (Closes: #984334)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 31 Oct 2021 20:10:47 +0530

skewer (0.2.2-5) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 12:01:08 +0200

skewer (0.2.2-4) unstable; urgency=medium

  * Team Upload.
  * d/tests/run-unit-test: output-trimmed.fastq is empty
    on amd64 as well, and the autopkgtests check conditions made
    it bypass the same, hence modify autopkgtests and
    also check that logs are not empty

 -- Nilesh Patra <nilesh@debian.org>  Fri, 27 Aug 2021 19:08:45 +0000

skewer (0.2.2-3) unstable; urgency=medium

  [ Shruti Sridhar ]
  * Team Upload.
  * Add test data
  * Add get-test-data script
  * Add autopkgtest
  * Install README as docs

  [ Andreas Tille ]
  * Add DEP3 fields

  [ Nilesh Patra ]
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Mon, 16 Aug 2021 16:55:29 +0530

skewer (0.2.2-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 18 Apr 2020 08:31:23 +0200

skewer (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #944385)

 -- Steffen Moeller <moeller@debian.org>  Fri, 08 Nov 2019 23:23:55 +0100
