=== debian/control ===
Source: skewer
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/relipmoc/skewer
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/skewer
Vcs-Git: https://salsa.debian.org/med-team/skewer.git

Package: skewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: post-processing of high-throughput DNA sequence reads
 skewer implements the bit-masked k-difference matching algorithm
 dedicated to the task of adapter trimming and it is specially designed
 for processing next-generation sequencing (NGS) paired-end sequences.
 .
 Features
 .
  * Detection and removal of adapter sequences
  * Insertion and deletion allowed in pattern matching
  * Targeted at Single End, Paired End (PE), and Long Mate Pair (LMP) reads
  * Demultiplexing of barcoded sequencing runs
  * Multi-threading support
  * Trimming based on phred quality scores
  * IUPAC characters for barcodes and adapters
  * Compressed input and output support
