=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%skewer-$1.tar.gz%" \
   https://github.com/relipmoc/skewer/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
